﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using AutoItX3Lib;

namespace SimuAutoIt
{
    public partial class Form1 : Form
    {
        AutoItX3 _V3 = null;

        String _WinTitle = "额度投标网络客户端";
        
        public Form1()
        {
            InitializeComponent();
        }

        

        private void Form1_Load(object sender, EventArgs e)
        {
            _V3 = new AutoItX3();
            _V3.AutoItSetOption("WinTitleMatchMode", 2);

        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (_V3.WinActive(_WinTitle) != 1) _V3.WinActivate(_WinTitle);

            int scrX = _V3.WinGetPosX(_WinTitle) + 650;
            int scrY = _V3.WinGetPosY(_WinTitle) + 380;
            _V3.MouseClick("LEFT", scrX, scrY, 1);
           
           
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (_V3.WinActive(_WinTitle) != 1) _V3.WinActivate(_WinTitle);
            //首先需要让光标移动到需要输入的地方
            //V3.MouseClick("LEFT", scrX, scrY, 1);

            //如果输入的地方是标准控件，还可直接使用ControlFocus达到目的
            _V3.ControlFocus(_WinTitle, "", "[CLASS:TNoPasteEdit; INSTANCE:2]");

            //用Send函数发送字符
            //^a 表示 Ctrl+a组合键，全选TextBox的内容
            // {DEL} 按下删除键
            //80000 输入80000
            _V3.Send("^a{DEL}80000");
        }

        private void button3_Click(object sender, EventArgs e)
        {
            if (_V3.WinActive(_WinTitle) != 1) _V3.WinActivate(_WinTitle);

            string pricestr = _V3.ControlGetText(_WinTitle, "", "[CLASS:TNoPasteEdit; INSTANCE:2]");
            int price = 0;
            if (Int32.TryParse(pricestr, out price))
            {
                _V3.ControlSetText(_WinTitle, "", "[CLASS:TNoPasteEdit; INSTANCE:2]", (price + 600).ToString());
            }

            
        }

        private void button4_Click(object sender, EventArgs e)
        {
            _V3.ControlCommand(_WinTitle, "", "[CLASS:TCheckBox; INSTANCE:1]", "UnCheck", "");
        }

        private void button5_Click(object sender, EventArgs e)
        {
            if (_V3.WinActive(_WinTitle) != 1) 
                _V3.WinActivate(_WinTitle);

            //点击出价按钮
            if (0 != _V3.WinWaitActive(_WinTitle, "", 10))
            {
                int scrX = _V3.WinGetPosX(_WinTitle) + 790;
                int scrY = _V3.WinGetPosY(_WinTitle) + 430;
                _V3.MouseClick("LEFT", scrX, scrY, 1);
            }

            //验证码窗口的Title和主窗口相同，为了区别这里使用了窗口的[CLASS：]
            if (0 != _V3.WinWaitActive("[CLASS:TImageCodeForm]", "", 10))
            {
                //判断验证码窗口是否可见
                if ((_V3.WinGetState("[CLASS:TImageCodeForm]", "") & 2) == 2)
                {
                    MessageBox.Show("验证码窗口打开了");
                }
            }
        }

    }
}
